{
  "_id": "cordova-plugin-barcodescanner@0.7.4",
  "_rev": "21-7fddff227c26f346e50f51c2ac0d74b6",
  "name": "cordova-plugin-barcodescanner",
  "description": "Cordova Barcode Scanner Plugin",
  "dist-tags": {
    "latest": "0.7.4",
    "next": "0.7.0-21"
  },
  "versions": [
    "0.7.0-14",
    "0.7.0-15",
    "0.7.0-16",
    "0.7.0-17",
    "0.7.0-18",
    "0.7.0-21",
    "0.7.0",
    "0.7.1",
    "0.7.2",
    "0.7.3",
    "0.7.4",
    "0.8.0-12"
  ],
  "maintainers": [
    "hypery2k <npm@martinreinhardt-online.de>"
  ],
  "time": {
    "modified": "2018-02-01T03:06:43.582Z",
    "created": "2015-04-25T03:59:03.657Z",
    "0.7.0": "2015-04-25T03:59:03.657Z",
    "0.8.0-10": "2016-09-19T20:14:21.318Z",
    "0.8.0-12": "2016-09-20T03:51:34.121Z",
    "0.7.0-14": "2016-09-23T18:34:43.326Z",
    "0.7.0-15": "2016-09-27T08:31:19.225Z",
    "0.7.0-16": "2016-09-30T13:06:41.381Z",
    "0.7.0-17": "2016-09-30T13:19:53.281Z",
    "0.7.0-18": "2016-09-30T16:25:53.884Z",
    "0.7.0-21": "2017-02-24T07:52:48.868Z",
    "0.7.1": "2017-07-14T10:58:30.215Z",
    "0.7.2": "2017-08-23T16:07:40.695Z",
    "0.7.3": "2017-09-28T03:49:05.044Z",
    "0.7.4": "2018-02-01T03:06:43.582Z"
  },
  "homepage": "https://github.com/hypery2k/cordova-barcodescanner-plugin#readme",
  "keywords": [
    "cordova",
    "barcodescanner",
    "ecosystem:cordova",
    "cordova-android",
    "cordova-ios",
    "cordova-osx",
    "cordova-wp8",
    "cordova-windows8"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/hypery2k/cordova-barcodescanner-plugin.git"
  },
  "author": "Martin Reinhardt",
  "bugs": {
    "url": "https://github.com/hypery2k/cordova-barcodescanner-plugin/issues"
  },
  "license": "MIT",
  "readmeFilename": "README.md",
  "users": {
    "hippogeek": true,
    "zhoudd": true,
    "fabiodimicco": true,
    "shadowlong": true,
    "kikesandi": true,
    "sindhura": true,
    "glenlee": true
  },
  "_attachments": {},
  "_etag": "W/\"810267599f0f3f41dd9a71bad55d586b\"",
  "_lastModified": "Sat, 26 May 2018 20:57:03 GMT",
  "version": "0.7.4",
  "cordova": {
    "id": "cordova-plugin-barcodescanner",
    "platforms": [
      "android",
      "ios",
      "wp8",
      "windows8"
    ]
  },
  "scripts": {
    "preclean": "npm i rimraf",
    "clean": "rimraf node_modules dist",
    "postclean": "npm i",
    "build": "npm run jsdoc",
    "jsdoc": "jsdoc -c jsdoc.json && jsdoc2md www/barcodescanner.js | sed s/barcodeScannerPlugin/cordova.plugins.barcodeScanner/g | sed s/barcodeScannerPlugin/cordova.plugins.barcodeScanner/g > PLUGIN_USAGE.MD",
    "pretest": "rm -rf tmp && mkdir -p tmp && cd tmp && git clone https://github.com/simpligility/maven-android-sdk-deployer.git && cd maven-android-sdk-deployer/ && mvn install -P 6.0 && ls ~/.m2/repository/android/android/",
    "test": "cd tmp && git clone https://github.com/hypery2k/cordova-demo-app.git && cd cordova-demo-app && npm install && npm run build && cordova platform add ${PLATFORM} && cordova plugin add cordova-plugin-compat && cordova build && cordova plugin add ../.. && cordova build",
    "posttest": "npm run jsdoc",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s -r 0",
    "changelog:add": "git add plugin.xml && git add CHANGELOG.md && git commit -m 'chore(changelog): Updated CHANGELOG.md'",
    "version": "cordova-plugin-xml setVersion",
    "release:pre": "npm run clean && npm run build",
    "release:post": "npm run version && npm run changelog && npm run changelog:add",
    "release:major": "npm run release:pre && npm version major && npm run release:post && git push origin && git push origin --tags && npm run version-and-push",
    "release:minor": "npm run release:pre && npm version minor && npm run release:post && git push origin && git push origin --tags && npm run version-and-push",
    "release:patch": "npm run release:pre && npm version patch && npm run release:post && git push origin && git push origin --tags && npm run version-and-push",
    "version-and-push": "git push origin && git push origin --tags && npm run publish-and-merge",
    "publish-and-merge": "git checkout master && git merge develop && npm publish && git push && git checkout develop",
    "prepublish": "npm run build"
  },
  "devDependencies": {
    "conventional-changelog-cli": "1.3.5",
    "cordova-plugin-xml": "0.1.2",
    "jsdoc": "3.5.5",
    "jsdoc-to-markdown": "3.0.3",
    "rimraf": "2.6.2"
  },
  "gitHead": "185e4e9f2d679db0c7682d6dd19e66e0b42ca6a0",
  "_shasum": "0e1afbc27ac85a9fa50e659b4e6192377f243c03",
  "_from": ".",
  "_npmVersion": "3.10.10",
  "_nodeVersion": "6.11.1",
  "_npmUser": "hypery2k <contact@martinreinhardt-online.de>",
  "dist": {
    "shasum": "0e1afbc27ac85a9fa50e659b4e6192377f243c03",
    "tarball": "https://registry.npmjs.org/cordova-plugin-barcodescanner/-/cordova-plugin-barcodescanner-0.7.4.tgz"
  },
  "_npmOperationalInternal": {
    "host": "s3://npm-registry-packages",
    "tmp": "tmp/cordova-plugin-barcodescanner-0.7.4.tgz_1517454401656_0.28968529705889523"
  },
  "directories": {}
}
